%global srcname videos

Name:           audience
Summary:        Audience video player
Version:        0.2.4
Release:        2%{?dist}
License:        GPLv3+

URL:            https://github.com/elementary/%{srcname}
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

# Upstream patch to fix compilation against newer GLib versions
# https://github.com/elementary/videos/commit/c09f272d9f27e4c0d6671a70a9bee2f77ac9687b
Patch0:         00-fix-gnome-3.26-compatibility.patch

BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  intltool
BuildRequires:  libappstream-glib
BuildRequires:  vala

BuildRequires:  pkgconfig(clutter-gst-3.0)
BuildRequires:  pkgconfig(clutter-gtk-1.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(granite) >= 0.4.1
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(gstreamer-pbutils-1.0)
BuildRequires:  pkgconfig(gstreamer-tag-1.0)
BuildRequires:  pkgconfig(gstreamer-video-1.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libnotify)


%description
A modern video player that brings the lessons learned from the web home
to the desktop.


%prep
%autosetup -n %{srcname}-%{version} -p1


%build
mkdir build && pushd build
%cmake -DBUILD_FOR_ELEMENTARY:BOOL=OFF ..
%make_build
popd


%install
pushd build
%make_install
popd

%find_lang audience


%check
desktop-file-validate \
    %{buildroot}/%{_datadir}/applications/org.pantheon.audience.desktop

appstream-util validate-relax --nonet \
    %{buildroot}/%{_datadir}/appdata/org.pantheon.audience.appdata.xml


%files -f audience.lang
%doc AUTHORS README.md
%license COPYING

%{_bindir}/audience

%{_datadir}/appdata/org.pantheon.audience.appdata.xml
%{_datadir}/applications/org.pantheon.audience.desktop
%{_datadir}/glib-2.0/schemas/org.pantheon.audience.gschema.xml


%changelog
* Sat Nov 04 2017 Fabio Valentini <decathorpe@gmail.com> - 0.2.4-2
- Rebuild for granite soname bump.
- Add upstream patch to fix compilation against newer GNOME versions.

* Sat Aug 12 2017 Fabio Valentini <decathorpe@gmail.com> - 0.2.4-1
- Update to version 0.2.4.

* Wed Aug 02 2017 Fabio Valentini <decathorpe@gmail.com> - 0.2.3-1
- Update to version 0.2.3.

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Apr 14 2017 Fabio Valentini <decathorpe@gmail.com> - 0.2.2-1
- Update to version 0.2.2.

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Jan 28 2017 Fabio Valentini <decathorpe@gmail.com> - 0.2.1.2-5
- Use branded .desktop file.

* Fri Jan 27 2017 Fabio Valentini <decathorpe@gmail.com> - 0.2.1.2-4
- Add patch to rename generic icon to something branded.

* Wed Jan 25 2017 Fabio Valentini <decathorpe@gmail.com>
- Remove explicit BR: /usr/bin/pkgconfig.

* Mon Jan 23 2017 Fabio Valentini <decathorpe@gmail.com> - 0.2.1.2-3
- Explicitly depend on /usr/bin/pkg-config.

* Mon Jan 23 2017 Fabio Valentini <decathorpe@gmail.com> - 0.2.1.2-2
- Include icon to fix appdata metadata generation.

* Fri Jan 20 2017 Fabio Valentini <decathorpe@gmail.com> - 0.2.1.2-1
- Update to version 0.2.1.2.

* Sat Dec 31 2016 Fabio Valentini <decathorpe@gmail.com> - 0.2.1.1-2
- Clean up spec file.

* Mon Oct 31 2016 Fabio Valentini <decathorpe@gmail.com> - 0.2.1.1-1
- Update to version 0.2.1.1.

* Mon Oct 31 2016 Fabio Valentini <decathorpe@gmail.com> - 0.2.1-1
- Update to version 0.2.1.

* Thu Sep 29 2016 Fabio Valentini <decathorpe@gmail.com> - 0.2.0.2-3
- Mass rebuild.

* Wed Sep 28 2016 Fabio Valentini <decathorpe@gmail.com> - 0.2.0.2-2
- Spec file cleanups.

* Wed Sep 21 2016 Fabio Valentini <decathorpe@gmail.com> - 0.2.0.2-1
- Update to version 0.2.0.2.

* Mon Sep 19 2016 Fabio Valentini <decathorpe@gmail.com> - 0.2.0.1-2
- Spec file cosmetics.

* Fri Sep 09 2016 Fabio Valentini <decathorpe@gmail.com> - 0.2.0.1-1
- Update to version 0.2.0.1.

* Wed Aug 17 2016 Fabio Valentini <decathorpe@gmail.com> - 0.2-1
- Update to version 0.2.


